Bug 805625 - [abrt] kernel: BUG: unable to handle kernel NULL pointer dereference at 00000008
[abrt] kernel: BUG: unable to handle kernel NULL pointer dereference at 00000008
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
16
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
abrt_hash:e82085b14f39b4a5c784652b9ac...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-21 13:27 EDT by Khaled Abdo
Modified: 2014-09-13 14:57 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-14 09:52:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Khaled Abdo 2012-03-21 13:27:15 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
cmdline:        BOOT_IMAGE=/vmlinuz-3.2.10-3.fc16.i686 root=/dev/mapper/VolGroup-lv_root ro rd.md=0 rd.dm=0 rd.lvm.lv=VolGroup/lv_swap KEYTABLE=us quiet SYSFONT=latarcyrheb-sun16 rhgb rd.lvm.lv=VolGroup/lv_root rd.luks=0 LANG=en_US.UTF-8
event_log:      2012-03-21-19:26:19> Smolt profile successfully saved
kernel:         3.2.10-3.fc16.i686
reason:         BUG: unable to handle kernel NULL pointer dereference at 00000008
time:           Wed 21 Mar 2012 07:19:20 PM EET

backtrace:
:BUG: unable to handle kernel NULL pointer dereference at 00000008
:IP: [<c064e1f0>] rb_insert_color+0x20/0x100
:*pde = 72356067 
:Oops: 0000 [#1] SMP 
:Modules linked in: be2iscsi iscsi_boot_sysfs bnx2i cnic uio cxgb4i cxgb4 cxgb3i libcxgbi cxgb3 mdio ib_iser rdma_cm ib_cm iw_cm ib_sa ib_mad ib_core ib_addr iscsi_tcp libiscsi_tcp libiscsi scsi_transport_iscsi fcoe libfcoe libfc scsi_transport_fc scsi_tgt 8021q garp stp llc nf_conntrack_ipv4 nf_defrag_ipv4 ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 xt_state nf_conntrack ip6table_filter ip6_tables arc4 fuse ath5k ath mac80211 snd_hda_codec_si3054 snd_hda_codec_realtek cfg80211 snd_hda_intel snd_hda_codec snd_hwdep snd_seq snd_seq_device snd_pcm 8139too 8139cp mii snd_timer acer_wmi snd sparse_keymap soundcore snd_page_alloc rfkill i2c_piix4 joydev serio_raw uinput microcode binfmt_misc ata_generic pata_acpi pata_atiixp sata_sil video wmi radeon ttm drm_kms_helper drm i2c_algo_bit i2c_core [last unloaded: scsi_wait_scan]
:Pid: 1703, comm: virtuoso-t Not tainted 3.2.10-3.fc16.i686 #1 FUJITSU SIEMENS AMILO Li 1718/AMILO Li 1718
:EIP: 0060:[<c064e1f0>] EFLAGS: 00010246 CPU: 1
:EIP is at rb_insert_color+0x20/0x100
:EAX: 00000000 EBX: 00000000 ECX: ef6555f4 EDX: f0e1de04
:ESI: ef56901c EDI: ef56901c EBP: ef5afeb0 ESP: ef5afe9c
: DS: 007b ES: 007b FS: 00d8 GS: 00e0 SS: 0068
:Process virtuoso-t (pid: 1703, ti=ef5ae000 task=f0e27110 task.ti=ef5ae000)
:Stack:
: c06608c7 f0e1de04 f0e1de00 ef56901c ef56901c ef5afec0 c0508154 ef6555d8
: f0e1de00 ef5afedc c05081aa ef56901c 00000181 f0e1de00 ef6555d8 00000181
: ef5afefc c0508246 ef569020 ef56901c c0c42078 f0e1de00 b6139000 00000181
:Call Trace:
: [<c06608c7>] ? __percpu_counter_add+0x67/0xa0
: [<c0508154>] __vma_link_rb+0x34/0x40
: [<c05081aa>] __vma_link+0x4a/0x60
: [<c0508246>] vma_link+0x86/0x90
: [<c05095fa>] mmap_region+0x36a/0x470
: [<c050993e>] do_mmap_pgoff+0x23e/0x300
: [<c0509af6>] sys_mmap_pgoff+0xf6/0x1c0
: [<c041f479>] ? smp_apic_timer_interrupt+0x59/0x90
: [<c0923c84>] syscall_call+0x7/0xb
: [<c0920000>] ? iommu_attach_domain+0x2b/0x8c
:Code: 74 26 00 89 4b 04 eb d8 8d 76 00 55 89 c1 89 e5 57 56 53 83 ec 08 89 55 f0 8b 30 83 e6 fc 74 33 8b 06 a8 01 75 2d 89 c3 83 e3 fc <8b> 7b 08 39 f7 74 59 85 ff 74 2d 8b 17 f6 c2 01 75 26 83 ca 01 
:EIP: [<c064e1f0>] rb_insert_color+0x20/0x100 SS:ESP 0068:ef5afe9c
:CR2: 0000000000000008

smolt_data:
:
:
:General
:=================================
:UUID: caddf7a9-7657-4ac9-a7ae-6c60b1a166a9
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: i686
:BogoMIPS: 3733.44
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM) Duo CPU      T2350  @ 1.86GHz
:CPU Stepping: 12
:CPU Family: 6
:CPU Model Num: 14
:Number of CPUs: 2
:CPU Speed: 1867
:System Memory: 1886
:System Swap: 127
:Vendor: FUJITSU SIEMENS
:System: AMILO Li 1718 -1
:Form factor: Other
:Kernel: 3.2.10-3.fc16.i686
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(4332:33081:5940:4290) pci, 8139too, ETHERNET, RTL-8139/8139C/8139C+
:(4098:17270:5940:4347) pci, pata_atiixp, STORAGE, IXP SB400 IDE Controller
:(4098:17266:5940:4347) pci, piix4_smbus, SERIAL, IXP SB400 SMBus Controller
:(4098:17271:5940:4347) pci, None, PCI/ISA, IXP SB400 PCI-ISA Bridge
:(4098:17275:5940:4347) pci, snd_hda_intel, MULTIMEDIA, IXP SB4x0 High Definition Audio Controller
:(4098:17265:0:0) pci, None, PCI/PCI, IXP SB400 PCI-PCI Bridge
:(4098:23103:4098:23103) pci, None, PCI/PCI, RS480 PCI Bridge
:(4098:23138:5940:4347) pci, radeon, VIDEO, RC410 [Radeon Xpress 200M]
:(5772:28:5772:12391) pci, ath5k, ETHERNET, AR242x 802.11abg Wireless PCI Express Adapter (rev 01)
:(4098:23094:4098:23089) pci, pcieport, PCI/PCI, RS480 PCI Bridge
:(4098:17267:5940:4347) pci, ehci_hcd, USB, IXP SB400 USB2 Host Controller
:(4098:23089:5940:4347) pci, None, HOST/PCI, N/A
:(4098:17269:5940:4347) pci, ohci_hcd, USB, IXP SB400 USB Host Controller
:(4098:17268:5940:4347) pci, ohci_hcd, USB, IXP SB400 USB Host Controller
:(4098:17273:5940:4347) pci, sata_sil, STORAGE, IXP SB400 Serial ATA Controller
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/VolGroup-lv_root / ext4 4096 4096 7690630 5630011 5553030 1925120 1732177 1732177
:/dev/sda4 WITHHELD fuseblk 4096 4096 31207506 6162226 6162226 24845512 24799634 24799634
:/dev/sda1 /boot ext4 1024 1024 508745 412480 386880 128016 127781 127781
:
Comment 1 Dave Jones 2012-03-21 15:31:04 EDT
was this after a hibernate/suspend ?
Comment 2 Dave Jones 2012-03-22 12:41:25 EDT
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.
Comment 3 Dave Jones 2012-03-22 12:46:10 EDT
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.
Comment 4 Dave Jones 2012-03-22 12:55:26 EDT
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.
Comment 5 Jan-Thomas Czornack 2012-03-22 17:39:44 EDT
I've got this problem with the 3.3.0-4.fc16.x86_64 kernel. I can suspend but on resume the screen stays black and the computer does not react anymore. With the 3.2.10-3.fc16.x86_64 suspend / resume works very reliable.

From /var/log/messages:

Mar 22 07:29:38 xfr kernel: [   28.985417] BUG: unable to handle kernel NULL pointer dereference at 0000000000000021
Mar 22 07:29:38 xfr kernel: [   28.986463] IP: [<ffffffffa0349290>] hci_conn_hash_flush+0x90/0xf0 [bluetooth]
Mar 22 07:29:38 xfr kernel: [   28.987507] PGD 0 
Mar 22 07:29:38 xfr kernel: [   28.988216] Oops: 0000 [#1] SMP 
Mar 22 07:29:38 xfr kernel: [   28.989180] CPU 3 
Mar 22 07:29:38 xfr kernel: [   28.989196] Modules linked in: lp hidp fuse be2iscsi iscsi_boot_sysfs bnx2i vboxpci(O) vboxnetadp(O) vboxnetflt(O) cnic uio cxgb4i cxgb4 cxgb3i libcxgbi cxgb3 8021q garp stp llc mdio ib_iser fcoe libfcoe libfc scsi_transport_fc scsi_tgt vboxdrv(O) rdma_cm ib_cm iw_cm ib_sa ib_mad ib_core ib_addr iscsi_tcp libiscsi_tcp libiscsi scsi_transport_iscsi rfcomm bnep ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 ip6table_filter ip6_tables nf_conntrack_ipv4 nf_defrag_ipv4 xt_state nf_conntrack snd_hda_codec_hdmi snd_hda_codec_idt pl2303 arc4 cdc_ncm usbnet mii cdc_wdm cdc_acm ppdev dell_wmi sparse_keymap btusb bluetooth dell_laptop dcdbas microcode snd_hda_intel snd_hda_codec snd_hwdep snd_seq snd_seq_device joydev snd_pcm i2c_i801 iwlwifi mac80211 iTCO_wdt iTCO_vendor_support cfg80211 rfkill snd_timer snd soundcore snd_page_alloc e1000e parport_pc parport uinput sdhci_pci sdhci mmc_core wmi i915 drm_kms_helper drm i2c_algo_bit i2c_core video [last unloaded: scsi_wait_scan]
Mar 22 07:29:38 xfr kernel: [   28.997045] 
Mar 22 07:29:38 xfr kernel: [   28.998402] Pid: 951, comm: bluetoothd Tainted: G         C O 3.3.0-4.fc16.x86_64 #1 Dell Inc. Latitude E6420/      
Mar 22 07:29:38 xfr kernel: [   28.999393] RIP: 0010:[<ffffffffa0349290>]  [<ffffffffa0349290>] hci_conn_hash_flush+0x90/0xf0 [bluetooth]
Mar 22 07:29:38 xfr kernel: [   29.000359] RSP: 0000:ffff880124eb5d68  EFLAGS: 00010282
Mar 22 07:29:38 xfr kernel: [   29.001618] RAX: 0000000000000000 RBX: 0000000000000000 RCX: 00000001820001e3
Mar 22 07:29:38 xfr kernel: [   29.003089] RDX: 00000001820001e4 RSI: ffffea00048f9500 RDI: ffffffffa039a8c0
Mar 22 07:29:38 xfr kernel: [   29.004587] RBP: ffff880124eb5d88 R08: ffff880123e54ef8 R09: 00000001820001e3
Mar 22 07:29:38 xfr kernel: [   29.006067] R10: 0000000023e54f01 R11: 0000000000000000 R12: ffff88012545a638
Mar 22 07:29:38 xfr kernel: [   29.007479] R13: ffff88012545a5d0 R14: ffff88010ee60f30 R15: 0000000000000010
Mar 22 07:29:38 xfr kernel: [   29.008791] FS:  00007ffc205d5700(0000) GS:ffff88012dc60000(0000) knlGS:0000000000000000
Mar 22 07:29:38 xfr kernel: [   29.009913] CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
Mar 22 07:29:38 xfr kernel: [   29.010938] CR2: 0000000000000021 CR3: 0000000123a40000 CR4: 00000000000406e0
Mar 22 07:29:38 xfr kernel: [   29.012145] DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
Mar 22 07:29:38 xfr kernel: [   29.013647] DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
Mar 22 07:29:38 xfr kernel: [   29.015152] Process bluetoothd (pid: 951, threadinfo ffff880124eb4000, task ffff880125de1730)
Mar 22 07:29:38 xfr kernel: [   29.016723] Stack:
Mar 22 07:29:38 xfr kernel: [   29.018189]  ffff880124eb5d88 0000000000000000 ffff88012545a000 ffff88012545a010
Mar 22 07:29:38 xfr kernel: [   29.019759]  ffff880124eb5db8 ffffffffa0343b9b ffff88012545a000 0000000000000000
Mar 22 07:29:38 xfr kernel: [   29.021134]  ffff880123025800 ffff88010ee60f30 ffff880124eb5dd8 ffffffffa034575d
Mar 22 07:29:38 xfr kernel: [   29.022467] Call Trace:
Mar 22 07:29:38 xfr kernel: [   29.023655]  [<ffffffffa0343b9b>] hci_dev_do_close+0xbb/0x310 [bluetooth]
Mar 22 07:29:38 xfr kernel: [   29.024748]  [<ffffffffa034575d>] hci_dev_close+0x2d/0x70 [bluetooth]
Mar 22 07:29:38 xfr kernel: [   29.025841]  [<ffffffffa035669a>] hci_sock_ioctl+0x1aa/0x3f0 [bluetooth]
Mar 22 07:29:38 xfr kernel: [   29.026942]  [<ffffffff814cdd50>] sock_do_ioctl+0x30/0x70
Mar 22 07:29:38 xfr kernel: [   29.028043]  [<ffffffff814cee09>] sock_ioctl+0x79/0x2f0
Mar 22 07:29:38 xfr kernel: [   29.029149]  [<ffffffff81193498>] do_vfs_ioctl+0x98/0x550
Mar 22 07:29:38 xfr kernel: [   29.030254]  [<ffffffff811939e1>] sys_ioctl+0x91/0xa0
Mar 22 07:29:38 xfr kernel: [   29.031351]  [<ffffffff815fc029>] system_call_fastpath+0x16/0x1b
Mar 22 07:29:38 xfr kernel: [   29.032458] Code: 60 04 00 00 48 85 c0 74 0a be 16 00 00 00 48 89 df ff d0 48 89 df e8 10 fd ff ff 48 8b 03 48 89 45 e8 48 8b 5d e8 49 39 dc 74 30 <0f> b6 53 21 66 c7 43 1e 09 00 80 fa 01 74 11 73 9f be 16 00 00 
Mar 22 07:29:38 xfr kernel: [   29.034965] RIP  [<ffffffffa0349290>] hci_conn_hash_flush+0x90/0xf0 [bluetooth]
Mar 22 07:29:38 xfr kernel: [   29.036207]  RSP <ffff880124eb5d68>
Mar 22 07:29:38 xfr kernel: [   29.037433] CR2: 0000000000000021
Mar 22 07:29:38 xfr avahi-daemon[1021]: Got SIGTERM, quitting.
Mar 22 07:29:38 xfr kernel: Kernel logging (proc) stopped.
Mar 22 07:29:38 xfr rsyslogd: [origin software="rsyslogd" swVersion="5.8.7" x-pid="1183" x-info="http://www.rsyslog.com"] exiting on signal 15.
Mar 22 07:30:28 xfr kernel: imklog 5.8.7, log source = /proc/kmsg started.
Mar 22 07:30:28 xfr rsyslogd: [origin software="rsyslogd" swVersion="5.8.7" x-pid="1179" x-info="http://www.rsyslog.com"] start


Smolt: 

Allgemein
=================================
UUID: 4b504fdb-c1d2-47f7-9044-dd204f03484c
OS: Fedora release 16 (Verne)
Standard-Runlevel: Unknown
Sprache: de_DE.utf8
Plattform: x86_64
BogoMIPS: 4989.16
CPU-Anbieter: GenuineIntel
CPU-Modell: Intel(R) Core(TM) i5-2520M CPU @ 2.50GHz
CPU-Stepping: 7
CPU Familie: 6
CPU-Modellnummer: 42
Anzahl der CPUs: 4
CPU-Geschwindigkeit: 2500
Systemspeicher: 3835
System-Swap: 8191
Anbieter: Dell Inc.
System: Latitude E6420 01
Form-Faktor: Laptop
Kernel: 3.2.10-3.fc16.x86_64
SELinux aktiviert: 1
SELinux-Richtlinie: targeted
SELinux erzwingen: Enforcing
MythTV Remote: Unknown
MythTV Role: Unknown
MythTV Theme: Unknown
MythTV Plugin: 
MythTV Tuner: -1


Geräte
=================================
(4631:33329:4136:1252) pci, None, STORAGE, N/A
(32902:7247:4136:1252) pci, None, PCI/ISA, QM67 Express Chipset Family LPC Controller
(4631:33313:4136:1252) pci, sdhci-pci, BASE, N/A
(32902:294:4136:1252) pci, i915, VIDEO, 2nd Generation Core Processor Family Integrated Graphics Controller
(32902:7190:4136:1252) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 4
(32902:7184:4136:1252) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 1
(32902:7186:4136:1252) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 2
(32902:7200:4136:1252) pci, snd_hda_intel, MULTIMEDIA, 6 Series/C200 Series Chipset Family High Definition Audio Controller
(32902:5378:4136:1252) pci, e1000e, ETHERNET, 82579LM Gigabit Network Connection
(32902:7188:4136:1252) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 3
(32902:7202:4136:1252) pci, None, SERIAL, 6 Series/C200 Series Chipset Family SMBus Controller
(32902:130:32902:4897) pci, iwlwifi, NETWORK, Centrino Advanced-N 6205 AGN
(32902:10282:4136:1252) pci, ahci, RAID, Mobile 82801 SATA RAID Controller
(32902:7213:4136:1252) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #2
(32902:7206:4136:1252) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #1
(32902:260:4136:1252) pci, agpgart-intel, HOST/PCI, 2nd Generation Core Processor Family DRAM Controller
(32902:7226:4136:1252) pci, None, SIMPLE, 6 Series/C200 Series Chipset Family MEI Controller #1
(32902:7194:4136:1252) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 6


Dateisysteminformationen
=================================
device mtpt type bsize frsize blocks bfree bavail file ffree favail
-------------------------------------------------------------------
/dev/sda3 / ext4 4096 4096 4187821 2499591 2457664 1048576 842479 842479
/dev/sda2 /boot ext4 4096 4096 130557 105990 99437 32768 32532 32532
/dev/sda5 /home ext4 4096 4096 24797090 9841518 8599739 6209536 6175869 6175869
Comment 6 Dave Jones 2012-03-22 18:01:37 EDT
completely different trace. That one looks like a duplicate of bug 806033
Comment 7 Khaled Abdo 2012-03-22 19:30:19 EDT
@Dave: Nope, I never hibernate or suspend my machine .. as I recall, this was after a first start from turn off.
Comment 8 Josh Boyer 2012-09-18 11:44:18 EDT
Khaled, do you see this with the 3.4 or 3.5 kernel updates?
Comment 9 Dave Jones 2012-10-23 11:30:06 EDT
# Mass update to all open bugs.

Kernel 3.6.2-1.fc16 has just been pushed to updates.
This update is a significant rebase from the previous version.

Please retest with this kernel, and let us know if your problem has been fixed.

In the event that you have upgraded to a newer release and the bug you reported
is still present, please change the version field to the newest release you have
encountered the issue with.  Before doing so, please ensure you are testing the
latest kernel update in that release and attach any new and relevant information
you may have gathered.

If you are not the original bug reporter and you still experience this bug,
please file a new report, as it is possible that you may be seeing a
different problem. 
(Please don't clone this bug, a fresh bug referencing this bug in the comment is sufficient).
Comment 10 Justin M. Forbes 2012-11-14 09:52:05 EST
With no response, we are closing this bug under the assumption that it is no longer an issue. If you still experience this bug, please feel free to reopen the bug report.

Note You need to log in before you can comment on or make changes to this bug.